summaryrefslogtreecommitdiffstats
path: root/.scripts/cron/crontog
diff options
context:
space:
mode:
Diffstat (limited to '.scripts/cron/crontog')
-rwxr-xr-x.scripts/cron/crontog5
1 files changed, 5 insertions, 0 deletions
diff --git a/.scripts/cron/crontog b/.scripts/cron/crontog
new file mode 100755
index 0000000..d5c61be
--- /dev/null
+++ b/.scripts/cron/crontog
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Toggles all cronjobs off/on.
+# Stores disabled crontabs in ~/.consaved until restored.
+
+([ -f ~/.cronsaved ] && crontab - < ~/.cronsaved && rm ~/.cronsaved && notify-send "Cronjobs have been re-enabled." && echo cronjobs re-enabled.) || ( crontab -l > ~/.cronsaved && crontab -r && echo cronjobs saved and disabled.;notify-send "Cronjobs have been saved and disabled.")